Open iscsi 版本不一致导致S2600 无法通过iSCSI 连接到主机

发布时间:  2014-10-11 浏览次数:  168 下载次数:  0
问题描述
某局点客户无法通过iSCSI 挂载硬盘。通过执行iscsiadm -m discovery -t st -p targetip命令可以发现启动器名称,但是执行iscsiadm –m node –p targetip –l 命令却无法login,并提示iscsi 驱动有问题。
告警信息
处理过程
1 安装RedHat 5.0 第一张光盘里的open iscsi 安装包。
2 安装完成后,执行iscsiadm –m node –p targetip –l 命令使启动器生效。
根因
1. 执行iscsiadm -m discovery -t st -p targetip 可以发现启动器名称。
2. 执行iscsiadm –m node –p targetip –l 却无法login,并提示iscsi 驱动有问题。
由此得出结论:
  • open iscsi 版本不一致导致S2600 无法通过iSCSI 连接到主机。
建议与总结
open iscsi 版本应该与操作系统的版本一致。

END